# Class HTTPHC4Impl.HttpDelete

HttpEntityEnclosingRequestBase
org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.HttpDelete

Enclosing class:
  `HTTPHC4Impl`

public static final class HTTPHC4Impl.HttpDelete extends HttpEntityEnclosingRequestBase

## Constructor Summary

Constructors
Constructor
Description
`HttpDelete(URI uri)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`

## Constructor Details

### HttpDelete

public HttpDelete(URI uri)

## Method Details

### getMethod

public String getMethod()